package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 配置表 服务类
* </p>
*
* @author quyixiao
* @since 2025-11-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvScrollConfigDao;
import com.heyu.api.data.entity.vv.VvScrollConfigEntity;
import com.heyu.api.data.service.vv.VvScrollConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvScrollConfigServiceImpl extends ServiceImpl<VvScrollConfigDao, VvScrollConfigEntity> implements VvScrollConfigService {


    @Autowired
	private VvScrollConfigDao vvScrollConfigDao;



	@Override
	public VvScrollConfigEntity selectVvScrollConfigById(Long id){
		return vvScrollConfigDao.selectVvScrollConfigById(id);
	}



	@Override
	public Long insertVvScrollConfig(VvScrollConfigEntity vvScrollConfig){
		return vvScrollConfigDao.insertVvScrollConfig(vvScrollConfig);
	}



	@Override
	public Long insertOrUpdateVvScrollConfig(VvScrollConfigEntity vvScrollConfig){
		return vvScrollConfigDao.insertOrUpdateVvScrollConfig(vvScrollConfig);
	}



	@Override
	public int updateVvScrollConfigById(VvScrollConfigEntity vvScrollConfig){
		return vvScrollConfigDao.updateVvScrollConfigById(vvScrollConfig);
	}



	@Override
	public int updateCoverVvScrollConfigById(VvScrollConfigEntity vvScrollConfig){
		return vvScrollConfigDao.updateCoverVvScrollConfigById(vvScrollConfig);
	}



	@Override
	public int deleteVvScrollConfigById(Long id){
		return vvScrollConfigDao.deleteVvScrollConfigById(id);
	}



}
